| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_2<arithmetic_action< multiply_action >, Y, boost::units::unit< Dim, System >>

boost::lambda::plain_return_type_2<arithmetic_action< multiply_action >, Y, boost::units::unit< Dim, System >>

## Synopsis

    template<typename System, typename Dim, typename Y>
    struct plain_return_type_2<arithmetic_action< multiply_action >, Y, boost::units::unit< Dim, System >> {
      // types
      typedef boost::units::multiply_typeof_helper< Y, boost::units::unit< Dim, System > >::type type;
    };

## Description

Partial specialization of return type trait for action Y * unit<Dim, System>.